- [HTTP request](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.events/batchGet.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.events/batchGet.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.events/batchGet.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.events/batchGet.md.txt#body.request_body)
- [Response body](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.events/batchGet.md.txt#body.response_body)
  - [JSON representation](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.events/batchGet.md.txt#body.BatchGetEventsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.events/batchGet.md.txt#body.aspect)
- [Try it!](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.events/batchGet.md.txt#try-it)

Fetch a batch of up to 100 events by name.

### HTTP request

`GET https://firebasecrashlytics.googleapis.com/v1alpha/{parent=projects/*/apps/*}/events:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The firebase application. Format: "projects/{project}/apps/{app_id}". |

### Query parameters

| Parameters ||
|---|---|
| `names[]` | `string` Required. The resource names of the desired events. A maximum of 100 events can be retrieved in a batch. Format: "projects/{project}/apps/{app_id}/events/{eventId}". The app_id and eventId are required, but project may be "-" to conserve space in long URIs. |
| `readMask` | ``string (`FieldMask` format)`` Optional. The list of Event fields to include in the response. If omitted, the full event is returned. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

Response message for the events.batchGet method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "events": [ { object (`Event`) } ] } ``` |

| Fields ||
|---|---|
| `events[]` | ``object (`Event`)`` The list of retrieved events. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/firebase`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).